org.red5.server.session

## Class SessionManager

- java.lang.Object
- - org.red5.server.session.SessionManager

    public class SessionManager
    extends Object

Manages sessions.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Field Summary

Fields
`static Random` `rnd`

### Constructor Summary

Constructors
Constructor and Description
`SessionManager()`

### Method Summary

Methods
`static String` `createHash(String str)`
`static ISession` `createSession()`
`static ISession` `createSession(String sessionId)`
`String` `getDestinationDirectory()`
`static ISession` `getSession(String sessionId)`
`static String` `getSessionId()`
`void` `init()`
`static ISession` `removeSession(String sessionId)`
`void` `setDestinationDirectory(String destinationDir)`
`void` `setMaxLifetime(String maxLifetime)`
`void` `setSchedulingService(ISchedulingService schedulingService)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rnd

    public static Random rnd

### Constructor Detail

#### SessionManager

    public SessionManager()

### Method Detail

#### init

    public void init()

#### getSessionId

    public static String getSessionId()

#### createSession

    public static ISession createSession()

#### createSession

    public static ISession createSession(String sessionId)

#### getSession

    public static ISession getSession(String sessionId)

#### removeSession

    public static ISession removeSession(String sessionId)

#### getDestinationDirectory

    public String getDestinationDirectory()

#### setDestinationDirectory

    public void setDestinationDirectory(String destinationDir)

#### setMaxLifetime

    public void setMaxLifetime(String maxLifetime)

#### setSchedulingService

    public void setSchedulingService(ISchedulingService schedulingService)

#### createHash

    public static String createHash(String str)